#include <lib/std.mi>

Global Group thisGroup, drawGroup;
Global Button drawButton, playButton, pauseButton;
Global Int drawState;

System.onScriptLoaded() {
  thisGroup = getScriptGroup();
  Group temp = thisGroup.getObject("shade.draw.masked");
  drawGroup = temp.getObject("shade.draw");
  drawButton = drawGroup.getObject("pulldown OFF");
  playButton = drawGroup.getObject("PLAY OFF");
  pauseButton = drawGroup.getObject("PAUSE OFF");
  drawState = 0;

  if(getStatus() != STATUS_PLAYING) {
    playButton.show();
    pauseButton.hide();
  } else {
    playButton.hide();
    pauseButton.show();
  }
}

drawButton.onLeftButtonUp(int x, int y) {
  if(drawState == 0) {
    drawState = 1;
    drawGroup.setTargetY(18);
  } else {
    drawState = 0;
    drawGroup.setTargetY(0);
  }
  drawGroup.setTargetSpeed(1);
  drawGroup.gotoTarget();
}

System.onPlay() {
  playButton.hide();
  pauseButton.show();
}

System.onResume() {
  playButton.hide();
  pauseButton.show();
}

System.onPause() {
  playButton.show();
  pauseButton.hide();
}

System.onStop() {
  playButton.show();
  pauseButton.hide();
}